

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>6. Функции Mouse &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/translations.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="../genindex.html" />
    <link rel="search" title="Поиск" href="../search.html" />
    <link rel="next" title="7. Функции Screen" href="07_screen.html" />
    <link rel="prev" title="5. Функции Clipboard" href="05_clipboard.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1"><a class="reference internal" href="../01_HowToInstall.html">1. Первый запуск (Windows &amp; Linux)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="01_Robot.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1"><a class="reference internal" href="03_uiweb.html">3. Функции UIWeb</a></li>
<li class="toctree-l1"><a class="reference internal" href="04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">6. Функции Mouse</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#id1">Общее</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id2">Описание функций</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id3">Быстрая навигация</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="07_screen.html">7. Функции Screen</a></li>
<li class="toctree-l1"><a class="reference internal" href="08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Studio/01_Studio.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Studio/02_HowToUse.html">2. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>6. Функции Mouse</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/Robot/06_mouse.rst.txt" rel="nofollow"> Просмотреть исходный код страницы</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="mouse">
<span id="module-robot-mouse"></span><h1>6. Функции Mouse<a class="headerlink" href="#mouse" title="Ссылка на этот заголовок">¶</a></h1>
<div class="section" id="id1">
<h2>Общее<a class="headerlink" href="#id1" title="Ссылка на этот заголовок">¶</a></h2>
</div>
<div class="section" id="id2">
<h2>Описание функций<a class="headerlink" href="#id2" title="Ссылка на этот заголовок">¶</a></h2>
<p>Описание каждой функции начинается с обозначения L+,W+, что означает, что функция поддерживается в ОС Linux (L) и Windows (W)</p>
<span class="target" id="module-pyOpenRPA.Robot.Mouse"></span><p><strong>Functions:</strong></p>
<table class="longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.Click" title="pyOpenRPA.Robot.Mouse.Click"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Click</span></code></a>([inXInt, inYInt, inClickCountInt, …])</p></td>
<td><p>L+,W+: Нажатие (вниз) кнопки мыши и затем немедленно выпуск (вверх) её.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.ClickDouble" title="pyOpenRPA.Robot.Mouse.ClickDouble"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ClickDouble</span></code></a>([inXInt, inYInt, …])</p></td>
<td><p>L+,W+: Двойное нажатие левой клавиши мыши.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.Down" title="pyOpenRPA.Robot.Mouse.Down"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Down</span></code></a>([inXInt, inYInt, inButtonStr, …])</p></td>
<td><p>L+,W+: Переместить указатель по координатам inXInt, inYInt, после чего нажать (вниз) клавишу мыши и не отпускать до выполнения соответсвующей команды (см.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.MoveTo" title="pyOpenRPA.Robot.Mouse.MoveTo"><code class="xref py py-obj docutils literal notranslate"><span class="pre">MoveTo</span></code></a>([inXInt, inYInt, …])</p></td>
<td><p>L+,W+: Переместить указатель мыши на позицию inXInt, inYInt за время inMoveDurationSecFloat.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.ScrollHorizontal" title="pyOpenRPA.Robot.Mouse.ScrollHorizontal"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ScrollHorizontal</span></code></a>(inScrollClickCountInt[, …])</p></td>
<td><p>L+,W-: Переместить указатель мыши на позицию inXInt, inYInt и выполнить горизонтальную прокрутку (скроллинг) виртуальным колесом мыши на количество щелчков inScrollClickCountInt.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.ScrollVertical" title="pyOpenRPA.Robot.Mouse.ScrollVertical"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ScrollVertical</span></code></a>(inScrollClickCountInt[, …])</p></td>
<td><p>L+,W+: Переместить указатель мыши на позицию inXInt, inYInt и выполнить вертикальную прокрутку (скроллинг) колесом мыши на количество щелчков inScrollClickCountInt.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Mouse.Up" title="pyOpenRPA.Robot.Mouse.Up"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Up</span></code></a>([inXInt, inYInt, inButtonStr, …])</p></td>
<td><p>L+,W+: Отпустить (вверх) клавишу мыши.</p></td>
</tr>
</tbody>
</table>
<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.Click">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">Click</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inXInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inClickCountInt</span><span class="p">:</span> <span class="n">int</span> <span class="o">=</span> <span class="default_value">1</span></em>, <em class="sig-param"><span class="n">inIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.0</span></em>, <em class="sig-param"><span class="n">inButtonStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'left'</span></em>, <em class="sig-param"><span class="n">inMoveDurationSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.0</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#Click"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.Click" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Нажатие (вниз) кнопки мыши и затем немедленно выпуск (вверх) её. Допускается следующая параметризация. Если не указаны inXInt и inYInt - клик производится по месту нахождения указателя мыши.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">Click</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span> <span class="c1">#Выполнить нажатие левой клавиши мыши на экране по координатам: X(гор) 100px, Y(вер) 150px.</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inClickCountInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Количество нажатий (вниз и вверх) кнопкой мыши, По умолчанию 1</p></li>
<li><p><strong>inIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал ожидания в секундах между нажатиями, По умолчанию 0.0</p></li>
<li><p><strong>inButtonStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Номер кнопки, которую требуется нажать. Возможные варианты: „left“, „middle“, „right“ или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию „left“</p></li>
<li><p><strong>inMoveDurationSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время перемещения указателя мыши, По умолчанию 0.0 (моментальное перемещение)</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.ClickDouble">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">ClickDouble</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inXInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#ClickDouble"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.ClickDouble" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Двойное нажатие левой клавиши мыши. Данное действие аналогично вызову функции (см. ниже).</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">ClickDouble</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span> <span class="c1">#Выполнить двойное нажатие левой клавиши мыши на экране по координатам: X(гор) 100px, Y(вер) 150px.</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.Down">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">Down</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inXInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inButtonStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'left'</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#Down"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.Down" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Переместить указатель по координатам inXInt, inYInt, после чего нажать (вниз) клавишу мыши и не отпускать до выполнения соответсвующей команды (см. Up). Если координаты inXInt, inYInt не переданы - нажатие происходит на тех координатах X/Y, на которых указатель мыши находится.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">Down</span><span class="p">()</span> <span class="c1">#Опустить левую клавишу мыши</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inButtonStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Номер кнопки, которую требуется нажать. Возможные варианты: „left“, „middle“, „right“ или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию „left“</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.MoveTo">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">MoveTo</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inXInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inMoveDurationSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.0</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#MoveTo"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.MoveTo" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Переместить указатель мыши на позицию inXInt, inYInt за время inMoveDurationSecFloat.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">MoveTo</span><span class="p">(</span><span class="n">inXInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="mi">200</span><span class="p">)</span> <span class="c1">#Переместить указатель мыши по координатам: X(гор) 100, Y(вер) 200</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inMoveDurationSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время перемещения указателя мыши, По умолчанию 0.0 (моментальное перемещение)</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.ScrollHorizontal">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">ScrollHorizontal</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inScrollClickCountInt</span></em>, <em class="sig-param"><span class="n">inXInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#ScrollHorizontal"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.ScrollHorizontal" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W-: Переместить указатель мыши на позицию inXInt, inYInt и выполнить горизонтальную прокрутку (скроллинг) виртуальным колесом мыши на количество щелчков inScrollClickCountInt.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">ScrollHorizontal</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span> <span class="n">inXInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="mi">200</span><span class="p">)</span> <span class="c1">#Крутить колесо мыши вниз на 100 кликов по координатам: X(гор) 100, Y(вер) 200</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">ScrollHorizontal</span><span class="p">(</span><span class="o">-</span><span class="mi">100</span><span class="p">)</span> <span class="c1">#Крутить колесо мыши вверх на 100 кликов по текущим координатам указателя мыши.</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inScrollClickCountInt</strong> (<em>int</em><em>, </em><em>обязательный</em>) – Количество щелчок колеса мыши, которое требуется !горизонтально! прокрутить. Аргумент может принимать как положительное (прокрутка вправо), так и отрицательное (прокрутка влево) значения</p></li>
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.ScrollVertical">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">ScrollVertical</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inScrollClickCountInt</span></em>, <em class="sig-param"><span class="n">inXInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#ScrollVertical"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.ScrollVertical" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Переместить указатель мыши на позицию inXInt, inYInt и выполнить вертикальную прокрутку (скроллинг) колесом мыши на количество щелчков inScrollClickCountInt.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">ScrollVertical</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span> <span class="n">inXInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="mi">200</span><span class="p">)</span> <span class="c1">#Крутить колесо мыши вниз на 100 кликов по координатам: X(гор) 100, Y(вер) 200</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">ScrollVertical</span><span class="p">(</span><span class="o">-</span><span class="mi">100</span><span class="p">)</span> <span class="c1">#Крутить колесо мыши вверх на 100 кликов по текущим координатам указателя мыши.</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inScrollClickCountInt</strong> (<em>int</em><em>, </em><em>обязательный</em>) – Количество щелчок колеса мыши, которое требуется !вертикально! прокрутить. Аргумент может принимать как положительное (прокрутка вниз), так и отрицательное (прокрутка вверх) значения</p></li>
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Mouse.Up">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Mouse.</code><code class="sig-name descname">Up</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inXInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inYInt</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>int<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inButtonStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'left'</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.4</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Mouse.html#Up"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Mouse.Up" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Отпустить (вверх) клавишу мыши. Если координаты inXInt, inYInt не переданы - нажатие происходит на тех координатах X/Y, на которых указатель мыши находится.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">Up</span><span class="p">(</span><span class="n">inButtonStr</span><span class="p">:</span><span class="nb">str</span><span class="o">=</span><span class="s1">&#39;right&#39;</span><span class="p">)</span> <span class="c1">#Поднять правую клавишу мыши</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Целевая позиция указателя мыши по оси Y (вертикальная ось).</p></li>
<li><p><strong>inButtonStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Номер кнопки, которую требуется поднять. Возможные варианты: „left“, „middle“, „right“ или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию „left“</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="id3">
<h2>Быстрая навигация<a class="headerlink" href="#id3" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="https://t.me/pyOpenRPA">Сообщество pyOpenRPA (telegram)</a></p></li>
<li><p><a class="reference external" href="https://tenchat.ru/iMaslov?utm_source=19f2a84f-3268-437f-950c-d987ae42af24">Сообщество pyOpenRPA (tenchat)</a></p></li>
<li><p><a class="reference external" href="https://vk.com/pyopenrpa">Сообщество pyOpenRPA (вконтакте)</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru/Index/pyOpenRPA_product_service.pdf">Презентация pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru">Портал pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://gitlab.com/UnicodeLabs/OpenRPA">Репозиторий pyOpenRPA</a></p></li>
</ul>
<p>		.. v1.3.1 replace:: v1.3.1</p>
<p></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="07_screen.html" class="btn btn-neutral float-right" title="7. Функции Screen" accesskey="n" rel="next">Следующая <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="05_clipboard.html" class="btn btn-neutral float-left" title="5. Функции Clipboard" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Предыдущая</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>